---
title: User Settings
---

## User Settings

The various user settings described below can be configured for an individual user, to provide an InvenTree user experienced customized to their preferences.

User settings are arranged in the following categories:

### Account

User account configuration, including:

- Account management
- Session management
- Authentication options
- Theme selection
- Language selection

### Home Page

Customize display of items on the InvenTree home page


### Search

Customize settings for search results

| Setting | Type | Description | Default |
| --- | --- | --- | --- |
| Search Preview Results | Integer | Number of results to show in search preview window | 10 |
| Search Show Stock | Boolean | Display stock levels in part search results | True |
| Hide Inactive Parts | Boolean | Hide inactive parts in search preview | False |

### Labels

Settings for label printing

| Setting | Type | Description | Default |
| --- | --- | --- | --- |
| Inline Label Display | Boolean | Display PDF labels in the browser | True |

### Reports

Settings for report generation

| Setting | Type | Description | Default |
| --- | --- | --- | --- |
| Inline Report Display | Boolean | Display PDF reports in the browser | False |
